• Documentation
  • API Reference
Overview
Guides
    Get StartedGood to KnowAccess Tokens
    Core APIs
    Alternative APIs
    Premium APIs
      Bankgiro LookupPayoutsSEPA Direct Debit (Beta)
Other Information
Changelog
Downloads
Support
Premium APIs

Bankgiro Lookup

This guide shows you how to use our Bankgiro Lookup APIs, designed to provide enhanced data and pre-payment validation on top of our core APIs. These services enable you to build more reliable, user-friendly payment experiences by accessing and verifying additional information related to payment accounts.

For requests to the Bankgiro Lookup APIs, you need an access token with scope set to paymentinitiation corporate.

Get Creditor Name

This request allows you to fetch the creditor name linked to a Bankgiro or Plusgiro number before your PSU makes a payment to said creditor. It also verifies that the given OCR reference is valid for this creditor, ensuring that the payment is successfully initiated to the correct recipient.

Endpoint

Code
POST /psd2/premium/v1/creditor-name

Query Parameters

NameTypeDescription
giroNumberstringA Swedish Bankgiro or Plusgiro number.
giroTypestringThe Swedish Giro type. BANKGIRO or PLUSGIRO.
ocrRefstringA Giro OCR reference. Must be applied if invoiceRef is not.
invoiceRefstringA custom invoice reference. Must be applied if ocrRef is not.

Request Headers

NameTypeDescription
X-Request-IDstring(uuid)The ID of the request, unique to the call, as determined by the initiating party.
PSU-IDstringThe ID used to identify the PSU at the bank. Typically a local social security number or another unique login ID.
PSU-Corporate-IDstringThe Corporate ID of the PSU when acting on behalf of an organization, e.g. Org. nummer for SE, KVK for NL.
TerminalCode
curl -X POST "https://api.openbankingplatform.com/psd2/premium/v1/creditor-name?giroNumber=1234-5678&giroType=BANKGIRO&ocrRef=1234567890" \ -H "Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIn0..." \ -H "X-Request-ID: 3dff1f05-4c97-42c0-8bf0-8bacbb2f42f2" \ -H "PSU-ID: 199002092386" \ -H "PSU-Corporate-ID: 5560160680"

Response

Code
{ "creditorName": "Acme AB" }

If the creditor account has OCR reference validation enabled and the provided OCR reference is invalid, the response will additionally include a warning message indicating the issue:

Code
"tppMessages": [ { "category": "WARNING", "code": "OCR_REF_INVALID", "text": "The provided OCR reference is invalid based on the creditor's OCR control requirements" } ]

Get Giro Numbers

This request fetches Bankgiro numbers registered to a specific organization, allowing you to identify and present valid payment accounts linked to your PSU's company before they initiate payments.

Endpoint

Code
POST /psd2/premium/v1/giro-numbers

Query Parameters

NameTypeDescription
psuCorporateIdstringThe Corporate ID of the organization for which to retrieve Giro numbers.

Request Headers

NameTypeDescription
X-Request-IDstring(uuid)The ID of the request, unique to the call, as determined by the initiating party.
PSU-IDstringThe ID used to identify the PSU at the bank. Typically a local social security number or another unique login ID.
PSU-Corporate-IDstringThe Corporate ID of the PSU when acting on behalf of an organization, e.g. Org. nummer for SE, KVK for NL.
TerminalCode
curl -X POST "https://api.openbankingplatform.com/psd2/premium/v1/giro-numbers?psuCorporateId=5560160680" \ -H "Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIn0..." \ -H "X-Request-ID: 3dff1f05-4c97-42c0-8bf0-8bacbb2f42f2" \ -H "PSU-ID: 199002092386" \ -H "PSU-Corporate-ID: 5560160680"

Response

Code
{ "giros": [ { "giroNumber": "1234-5678", "giroType": "BANKGIRO", "name": "Acme AB" }, { "giroNumber": "1234-5679", "giroType": "BANKGIRO", "name": "Acme" } ] }
Last modified on May 26, 2026
FX ConnectPayouts
On this page
    • Get Creditor Name
    • Get Giro Numbers
JSON
JSON
JSON